{% extends "base.html" %}
{% load static %}
{% load i18n %}
{% block content %}


<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <h4 class="card-title">Details</h4>

                <div class="button-items text-right">
                    <a href="{% url 'properties:property_update' instance.pk %}" class="btn btn-warning btn-icon-square-sm"><i class="fas fa-pen"></i></a>
                    <a href="{% url 'properties:property_delete' instance.pk %}" data-id="{{ instance.pk }}" data-text="Are you sure you want to delete this Item?" data-title="Are you sure?" class="btn btn-danger btn-icon-square-sm action-button remove redirect"><i class="fas fa-trash-alt" title="Delete"></i></a>
                </div>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="list-group lg-alt c-overflow col-md-4 mb-2">
                        <div class="list-group-item media">
                            <div class="media-body">
                                <div class="lgi-heading">Name</div><small class="lgi-text"> {{instance.name}}</small>
                            </div>
                        </div>
                    </div>
                    <div class="list-group lg-alt c-overflow col-md-4 mb-2">
                        <div class="list-group-item media">
                            <div class="media-body">
                                <div class="lgi-heading">Address</div><small class="lgi-text"> {{instance.address}}</small>
                            </div>
                        </div>
                    </div>
                    <div class="list-group lg-alt c-overflow col-md-4 mb-2">
                        <div class="list-group-item media">
                            <div class="media-body">
                                <div class="lgi-heading">Location</div><small class="lgi-text"> {{instance.location}}</small>
                            </div>
                        </div>
                    </div>

                    <div class="list-group lg-alt c-overflow col-md-4 mb-2">
                        <div class="list-group-item media">
                            <div class="media-body">
                                <div class="lgi-heading">Creator</div><small class="lgi-text"> {{instance.creator}} ({{instance.date_added|date:datetime_format}})</small>
                            </div>
                        </div>
                    </div>

                    <div class="list-group lg-alt c-overflow col-md-4 mb-2">
                        <div class="list-group-item media">
                            <div class="media-body">
                                <div class="lgi-heading">Updater</div><small class="lgi-text"> {{instance.updater|default:"-"}} {% if instance.date_updated %}({{instance.date_updated|date:datetime_format}}){% endif %}</small>
                            </div>
                        </div>
                    </div>


                </div>



            </div>
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between">
                        <h4 class="card-title">Units</h4>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <table class="table table-tranx">
                                <thead>
                                    <tr>
                                        <th>Name</th>
                                        <th>Type</th>
                                        <th>Rent</th>
                                        <th>Cost</th>
                                        <th>Tenant</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% for unit in instance.unit_set.all %}
                                    <tr class="form_set_row">

                                        <td>{{unit.name}}</td>
                                        <td>{{unit.get_unit_type_display}}</td>
                                        <td>{{unit.rent}}</td>
                                        <td>{{unit.cost}}</td>
                                        <td>
                                            {% if unit.get_assigned_tenant %}
                                            <a href="{% url 'tenants:tenant_view' unit.get_assigned_tenant.tenant.pk %}"><i class="ti-new-window"></i>&nbsp;</a>{{unit.get_assigned_tenant}}
                                            {% else %}
                                            <a class="btn btn-sm btn-primary" href="{% url 'tenants:tenant_unit_assign_create' %}?next={{request.path}}&unit={{unit.pk}}">Assign</a>
                                            {% endif %}
                                        </td>

                                    </tr>
                                    {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <!--end col-->
</div>

{% endblock %}
{% block static %}
{% endblock %}